%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 28 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 42
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 28 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-42
* Release 1.1.r17-42
	Rebuilt all kernel modules using the latest version of LiME.

* Fri May 17 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-41
* Release 1.1.r17-41
	Kernel modules were added for the following kernels:
		5.0.16-100

* Fri May 10 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-40
* Release 1.1.r17-40
	Kernel modules were added for the following kernels:
		5.0.13-100
		5.0.11-100

* Fri Apr 26 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-39
* Release 1.1.r17-39
	Kernel modules were added for the following kernels:
		5.0.9-100
		5.0.8-100

* Fri Apr 19 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-38
* Release 1.1.r17-38
	Kernel modules were added for the following kernels:
		5.0.7-100

* Fri Apr 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-37
* Release 1.1.r17-37
	Kernel modules were added for the following kernels:
		5.0.6-100

* Fri Apr  5 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-36
* Release 1.1.r17-36
	Kernel modules were added for the following kernels:
		5.0.5-100

* Fri Mar 29 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-35
* Release 1.1.r17-35
	Kernel modules were added for the following kernels:
		4.20.17-100
		4.20.16-100
		4.20.15-100

* Fri Mar 15 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-34
* Release 1.1.r17-34
	Kernel modules were added for the following kernels:
		4.20.14-100

* Fri Mar  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-33
* Release 1.1.r17-33
	Kernel modules were added for the following kernels:
		4.20.11-100

* Thu Feb 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-32
* Release 1.1.r17-32
	Kernel modules were added for the following kernels:
		4.20.8-100

* Fri Feb 15 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-31
* Release 1.1.r17-31
	Kernel modules were added for the following kernels:
		4.20.7-100

* Fri Feb  8 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-30
* Release 1.1.r17-30
	Kernel modules were added for the following kernels:
		4.20.6-100

* Fri Feb  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-29
* Release 1.1.r17-29
	Kernel modules were added for the following kernels:
		4.20.5-100
		4.20.4-100
		4.19.16-200

* Fri Jan 18 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
	Kernel modules were added for the following kernels:
		4.19.15-200
		4.19.14-200

* Fri Jan  4 2019 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
	Kernel modules were added for the following kernels:
		4.19.13-200
		4.19.12-200
		4.19.10-200

* Tue Dec 18 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
	Kernel modules were added for the following kernels:
		4.19.8-200
		4.19.7-200

* Fri Dec  7 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
	Kernel modules were added for the following kernels:
		4.19.6-200
		4.19.5-200

* Thu Nov 29 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
	Kernel modules were added for the following kernels:
		4.19.4-200
		4.19.3-200
		4.19.2-200

* Fri Nov 16 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
	Kernel modules were added for the following kernels:
		4.18.18-200

* Fri Nov  9 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
	Kernel modules were added for the following kernels:
		4.18.17-200

* Fri Oct 26 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
	Kernel modules were added for the following kernels:
		4.18.16-200

* Fri Oct 19 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
	Kernel modules were added for the following kernels:
		4.18.14-200
		4.18.13-200

* Thu Oct 11 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
	Kernel modules were added for the following kernels:
		4.18.12-200
		4.18.11-200

* Fri Oct  5 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
	Kernel modules were added for the following kernels:
		4.18.10-200

* Fri Sep 28 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Kernel modules were added for the following kernels:
		4.18.9-200

* Fri Sep 21 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Kernel modules were added for the following kernels:
		4.18.8-200
		4.18.7-200

* Fri Sep 14 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Kernel modules were added for the following kernels:
		4.18.5-200

* Fri Sep  7 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Kernel modules were added for the following kernels:
		4.17.19-200

* Fri Aug 30 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Kernel modules were added for the following kernels:
		4.17.18-200
		4.17.17-200

* Fri Aug 17 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Kernel modules were added for the following kernels:
		4.17.14-202

* Fri Aug 10 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules were added for the following kernels:
		4.17.12-200
		4.17.11-200

* Fri Aug  3 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules were added for the following kernels:
		4.17.9-200
		4.17.7-200

* Fri Jul 20 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Kernel modules were added for the following kernels:
		4.17.6-200
		4.17.5-200
		4.17.4-200
		4.17.3-200

* Fri Jun 29 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules were added for the following kernels:
		4.17.2-200

* Fri Jun 22 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Kernel modules were added for the following kernels:
		4.16.16-300

* Fri Jun 15 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules were added for the following kernels:
		4.16.15-300
		4.16.14-300

* Fri Jun  8 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules were added for the following kernels:
		4.16.13-300

* Fri Jun  1 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules were added for the following kernels:
		4.16.12-300

* Fri May 25 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Kernel modules were added for the following kernels:
		4.16.11-300
		4.16.10-300
		4.16.9-300

* Fri May 18 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
		4.16.8-300

* Thu May 10 2018 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		4.16.7-300
		4.16.6-302
		4.16.5-300
		4.16.3-301
